﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel;

namespace _213838_DatePicker_Date_Controller.Models
{
    public class User
    {
        [Required]
        [DisplayName("User Name")]
        public string UserName { get; set; }

        [DataType(DataType.Date), DisplayFormat(DataFormatString = "{0:MM/dd/yyyy}", ApplyFormatInEditMode = true)]
        [DisplayName("Birth Date")]
        public DateTime Birthday { get; set; }

        [DataType(DataType.DateTime)]
        [DisplayName("Date Created")]
        public DateTime DateCreated { get; set; }
    }
}