﻿<%@ Page Language="C#" Inherits="System.Web.Mvc.ViewPage<_213838_DatePicker_Date_Controller.Models.User>" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Index</title>
    <script type="text/javascript" src="https://code.jquery.com/jquery-1.12.4.js"></script>
    <script type="text/javascript" src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
    <link rel="stylesheet" href="https://code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css" />
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.2/css/bootstrap.min.css" />
    <script>
        $(function () {
            $("#DateCreated").attr("class", "form-control datepicker");
            // DATEPICKER JQUERY ADDITION
            $(".datepicker").datepicker({
                dateFormat: "MM/dd/yy",
                changeYear: true,
                shownOn: "button",
            })
            .css("display", "inline-block")
            .next("button")
            .button({
                icons: { primary: "ui-icon-calendar" },
                label: "Select a Date",
                text: false
            });
        })
    </script>
</head>
<body>
    <% using (Html.BeginForm("Index", "Home")) {%>
    <table>
        <tr>
            <td><%: Html.LabelFor(model => model.UserName) %></td>
            <td><%: Html.TextBoxFor(model => model.UserName, new { @class = "form-control" })%></td>
        </tr>
        <tr>
            <td><%: Html.LabelFor(model => model.Birthday)%></td>
            <td><%: Html.TextBoxFor(model => model.Birthday, new { @class = "form-control datepicker" })%></td>
        </tr>
        <tr>
            <td><%: Html.LabelFor(model => model.DateCreated)%></td>
            <td><%: Html.EditorFor(model => model.DateCreated, new { @class = "form-control datepicker" })%></td>
        </tr>
        <tr>
            <td colspan="2" align="center"><input type="submit" value="Save" class="btn btn-primary" /></td>
        </tr>
    </table>
    <% } %>
    <%if (ViewData["BirthDate"] != null) {%>
    <b>Selected Birth Date : </b><%=ViewData["BirthDate"] %>
    <% } %>
    <br />
    <%if (ViewData["CreatedDate"] != null) {%>
    <b>Selected Created Date : </b><%=ViewData["CreatedDate"]%>
    <% } %>
</body>
</html>
